Subject: Re: setup source?
From: Chris Faylor <[email-masked]>
To: Cygwin mailing list <[email-masked]>
Cc: [email-masked]
Date: Fri, 4 Aug 2000 16:52:35 -0400

On Fri, Aug 04, 2000 at 04:48:07PM -0400, John A. Turner wrote:
>is the source for setup available?  I'd like to investigate the possibility
>of modifying it to give the user the choice of whether to install ash or bash
>as sh

The source for setup is in every snapshot and in the sources for every cygwin
net release.

The best thing, though, would be to check out the sources via CVS since that
will always be the latest.  It's in the cygwin (aka winsup) module.

>the reasons are as follows:
>
>o I've been making sh bash since b18 or so
>
>o I don't care about the speed differences between ash and bash
>
>o I get the impression many others feel the same (e.g. on the xemacs-nt
>  mailing list)
>
>o I've been bitten by the "sh is really ash" problem more often since
>  the transition to the automated, setup-based install method (which I
>  like very much), since it always reverts sh to ash, and I have to 
>  remember to fix it each time I update
>
>o I figure it's better to offer to try and make the mods to obtain the
>  behavior I want than to simply whine about it and demand that it's my
>  right that someone do this immediately (I know this goes against
>  standard procedure on this list, but hey, sometimes boundaries need to
>  be pushed :)
>
>and finally, although I've poked around sourceware a bit, I can't find the
>source to setup

Sigh.  I'm *so* sick of people presenting reasoned arguments and then
suggesting that they will do the work to fix a problem.

Don't you realize...

Just *once* I'd like to see...

We all have day jo...

Wait a minute...

Nevermind.

Wheeeee!!!!

Thank you!

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]